Subject: Use deterministic join aliases
Description

By using uniqid(), the DQL queries are not properly cached...

Associated revisions
Revision 4b2e5ca6 - 2013-07-02 10:32 - Sebastian Kurfuerst

[BUGFIX] Use deterministic join aliases

Before this change, we used uniqid() for building join aliases. This prevented
the doctrine DQL cache to work correctly.

We found this change during profiling TYPO3 Neos, where it led to about
10% performance increase in frontend rendering.

Change-Id: I2af0b81f2c919a66a9d91163294b20a9ccb78fdd
Releases: 2.0, master
Resolves: #49569

Revision 95032c6a - 2013-08-05 10:38 - Sebastian Kurfuerst

[BUGFIX] Use deterministic join aliases

Before this change, we used uniqid() for building join aliases. This prevented
the doctrine DQL cache to work correctly.

We found this change during profiling TYPO3 Neos, where it led to about
10% performance increase in frontend rendering.

Change-Id: I2af0b81f2c919a66a9d91163294b20a9ccb78fdd
Releases: 2.0, master
Resolves: #49569

History
#1 - 2013-07-02 10:42 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21780

#2 - 2013-07-04 18:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4b2e5ca6f4496e480ecaa14ab2e6077f215fdfeb.

#3 - 2013-08-05 10:38 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/22814

#4 - 2013-08-09 17:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

Applied in changeset commit:95032c6a66b5330229654a9fb0cfad4eb7513f45.
